%global modulename base

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-base
Version:        0.11.2
Release:        1%{?dist}
Summary:        base is the foundation for creating modular, unit testable and highly pluggable node.js applications, starting with a handful of common methods, like `set`, `get`, `del` and `use`.

License:        MIT
URL:            https://github.com/node-base/base
Source0:        https://registry.npmjs.org/base/-/base-0.11.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(cache-base) >= 1.0.1 with npmlib(cache-base) < 2.0.0))
BuildRequires:  ((npmlib(class-utils) >= 0.3.5 with npmlib(class-utils) < 0.4.0))
BuildRequires:  ((npmlib(component-emitter) >= 1.2.1 with npmlib(component-emitter) < 2.0.0))
BuildRequires:  ((npmlib(define-property) >= 1.0.0 with npmlib(define-property) < 2.0.0))
BuildRequires:  ((npmlib(isobject) >= 3.0.1 with npmlib(isobject) < 4.0.0))
BuildRequires:  ((npmlib(mixin-deep) >= 1.2.0 with npmlib(mixin-deep) < 2.0.0))
BuildRequires:  ((npmlib(pascalcase) >= 0.1.1 with npmlib(pascalcase) < 0.2.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
base is the foundation for creating modular, unit testable and highly pluggable node.js applications, starting with a handful of common methods, like `set`, `get`, `del` and `use`.

%package 0.11.2
Summary:        base is the foundation for creating modular, unit testable and highly pluggable node.js applications, starting with a handful of common methods, like `set`, `get`, `del` and `use`.


%description 0.11.2
base is the foundation for creating modular, unit testable and highly pluggable node.js applications, starting with a handful of common methods, like `set`, `get`, `del` and `use`.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.11.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 0.11.2-1
- Package automatically generated by npm2srpm
